#### D.15.6.3 scheme

Procedure from library `finitediff.lib` (see finitediff_lib).

Usage:
  scheme([v1,..,vn]); v1,..,vn of type vector

Return:
  poly

Purpose:
  performs substitutions by the means of Groebner basis computation of the submodule, generated by the input vectors, then intersects the intermediate result with the suitable component in order to get a finite difference scheme

Note:
  works only for a single PDE, for the case of a system use `matrixsystem`

Example:

    LIB "finitediff.lib";
    list D="Ux","Ut","U";
    list P="a";
    list V="t","x";
    setinitials(V,D,P);
    def s1=scheme(u(Ut)+a*u(Ux),backward(Ux,U,x),forward(Ut,U,t));
    s1;
    ==> (-a*dt+dx)/(dx)*x+(a*dt)/(dx)

User manual for Singular version 4.4.1, 2025, generated by texi2html.